View unanswered posts | View active topics



Reply to topic  [ 3 posts ] 
AppMan doesn't "see" AIR SDK 29 
Author Message
Member

Joined: Wed Dec 07, 2011 11:44 pm
Posts: 19
Reply with quote
Hello,

I've always been using AppMan to update to the latest AIR SDK. However, it seems the latest release, 29, is not being presented by AppMan. It just shows 28 and installed.

Link to sdk: https://www.adobe.com/devnet/air/air-sdk-download.html

Sys Info: FD 5.3.3.1 for .NET 4.0

Can anyone else confirm this issue?

Can anyone point me in the direction as to how to do this update manually?

Any advice greatly appreciated.

-cyboman


Thu Apr 26, 2018 3:30 pm
Profile
Member

Joined: Wed Dec 07, 2011 11:44 pm
Posts: 19
Reply with quote
*bump*

Any info on why AppMan isn't seeing the air 29 sdk? It's a super useful tool, would be great to have it working again.


Mon May 07, 2018 8:02 pm
Profile
Member

Joined: Wed Oct 28, 2015 4:06 pm
Posts: 9
Reply with quote
>> Can anyone point me in the direction as to how to do this update manually?

- download AIR SDK 29
- unzip
- rename sdk root folder to "29.0.0"
- move folder to ...\FlashDevelop\Apps\ascsdk\
- select FD > Settings > AS3Context > Installed Flex SDKs
- click "..." button (right side of row)
- add AIR SDK 29 (path, name, version)
**********
- FD > Flash Tools > Doc. Gen.
- in Settings, change ASDoc location to AIR SDK 29 "bin" folder
**********
- if you have Flash IDE, in Settings > AS3, change location Flex SDK to AIR SDK (...\FlashDevelop\Apps\ascsdk\29.0.0)
**********
- goto [prog. files] \FlashDevelop\Settings\Platforms\AS3\
- add to files air.xml, airmobile.xml, flashplayer.xml at end of <versions> this line:
<version value="29.0" swf-version="40" />
- repeat steps above for [user data] \FlashDevelop\Settings\Platforms\AS3\
**********
- download v29 standalone players for developing and testing (debug and release projectors):
https://www.adobe.com/support/flashplay ... loads.html
**********
- update AIR runtime and FlashPlayer for browser on your PC to v29
**********
- download current "playerglobal.swc" v29 and for all versions (if you need it) from:
https://helpx.adobe.com/flash-player/kb ... sions.html
- goto [prog. files] \FlashDevelop\Tools\flexlibs\frameworks\libs\player\
- create folders for playerglobal.swc by version (9.0, 10.0, 10.1 ....... 29.0)
- copy downloaded "playerglobal.swc" to folders by swc version
- delete version from swc file name (rename all swc to "playerglobal.swc")
- repeat steps above for [user data] \FlashDevelop\Apps\ascsdk\29.0.0\frameworks\libs\player\


Wed May 09, 2018 12:45 pm
Profile
Display posts from previous:  Sort by  
Reply to topic   [ 3 posts ] 

Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group.
Designed by ST Software for PTF.